Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net
Class FingerClient

    java.lang.Object
      org.apache.commons.net.SocketClient
          org.apache.commons.net.FingerClient

Direct Known Subclasses:
  WhoisClient

public class FingerClient
extends SocketClient

The FingerClient class implements the client side of the Internet Finger Protocol defined in RFC 1288. To finger a host you create a FingerClient instance, connect to the host, query the host, and finally disconnect from the host. If the finger service you want to query is on a non-standard port, connect to the host at that port. Here's a sample use:

        FingerClient finger;

        finger = new FingerClient();

        try {
          finger.connect("foo.bar.com");
          System.out.println(finger.query("foobar", false));
          finger.disconnect();
        } catch(IOException e) {
          System.err.println("Error I/O exception: " + e.getMessage());
          return;
        }

Author:
  Daniel F. Savarese

Field Summary
`static int` | `DEFAULT_PORT` The default FINGER port.

Fields inherited from class org.apache.commons.net.SocketClient
`_defaultPort_, _input_, _isConnected_, _output_, _socket_, _socketFactory_, _timeout_, NETASCII_EOL`

Constructor Summary
`FingerClient()` The default FingerClient constructor.

Method Summary
`InputStream` | `getInputStream(boolean longOutput)` Fingers the connected host and returns the input stream from the network connection of the finger query.
`InputStream` | `getInputStream(boolean longOutput, String username)` Fingers a user and returns the input stream from the network connection of the finger query.
`String` | `query(boolean longOutput)` Fingers the connected host and returns the output as a String.
`String` | `query(boolean longOutput, String username)` Fingers a user at the connected host and returns the output as a String.

Methods inherited from class org.apache.commons.net.SocketClient
`_connectAction_, connect, connect, connect, connect, connect, connect, disconnect, getDefaultPort, getDefaultTimeout, getLocalAddress, getLocalPort, getRemoteAddress, getRemotePort, getSoLinger, getSoTimeout, getTcpNoDelay, isConnected, setDefaultPort, setDefaultTimeout, setSocketFactory, setSoLinger, setSoTimeout, setTcpNoDelay, verifyRemote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    public static final int DEFAULT_PORT

  The default FINGER port. Set to 79 according to RFC 1288.

  See Also:
    Constant Field Values

Constructor Detail

### FingerClient

    public FingerClient()

  The default FingerClient constructor. Initializes the default port to `DEFAULT_PORT` .

Method Detail

### query

    public String query(boolean longOutput,
                        String username)
                 throws IOException

  Fingers a user at the connected host and returns the output as a String. You must first connect to a finger server before calling this method, and you should disconnect afterward.

  Parameters:
    `longOutput` - Set to true if long output is requested, false if not.
    `username` - The name of the user to finger.
  Returns:
    The result of the finger query.
  Throws:
    `IOException` - If an I/O error occurs while reading the socket.

### query

    public String query(boolean longOutput)
                 throws IOException

  Fingers the connected host and returns the output as a String. You must first connect to a finger server before calling this method, and you should disconnect afterward. This is equivalent to calling `query(longOutput, "")` .

  Parameters:
    `longOutput` - Set to true if long output is requested, false if not.
  Returns:
    The result of the finger query.
  Throws:
    `IOException` - If an I/O error occurs while reading the socket.

### getInputStream

    public InputStream getInputStream(boolean longOutput,
                                      String username)
                               throws IOException

  Fingers a user and returns the input stream from the network connection of the finger query. You must first connect to a finger server before calling this method, and you should disconnect after finishing reading the stream.

  Parameters:
    `longOutput` - Set to true if long output is requested, false if not.
    `username` - The name of the user to finger.
  Returns:
    The InputStream of the network connection of the finger query. Can be read to obtain finger results.
  Throws:
    `IOException` - If an I/O error during the operation.

### getInputStream

    public InputStream getInputStream(boolean longOutput)
                               throws IOException

  Fingers the connected host and returns the input stream from the network connection of the finger query. This is equivalent to calling getInputStream(longOutput, ""). You must first connect to a finger server before calling this method, and you should disconnect after finishing reading the stream.

  Parameters:
    `longOutput` - Set to true if long output is requested, false if not.
  Returns:
    The InputStream of the network connection of the finger query. Can be read to obtain finger results.
  Throws:
    `IOException` - If an I/O error during the operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2005 The Apache Software Foundation. All Rights Reserved.